Bug 140509 - gftp not uploading edited files
gftp not uploading edited files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 03:55 EST by Luca Bruera
Modified: 2013-03-05 22:42 EST (History)
2 users (show)

See Also:
Fixed In Version: gftp-2.0.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 09:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luca Bruera 2004-11-23 03:55:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
When editing a remote text file, the file is correctly opened in the
selected editor, but after closing the editor gftp does not ask to
upload the file and does not upload it.

Version-Release number of selected component (if applicable):
gftp-2.0.17-3

How reproducible:
Always

Steps to Reproduce:
1.Open a ftp connection
2.Choose a text file, right click and Edit it
3.Close the editor.
    

Actual Results:  No upload. Only the temporary compy of the file is
changed, not the remote one.

Expected Results:  gftp to show a dialog saying that the file has been
modified, and asking to uploading it, and then uploading it.

Additional info:

Log:

227 Entering Passive Mode (163,162,3,127,129,128)
LIST -L

150 Binary data connection for /bin/ls (163.162.3.205,50828) (0 bytes).
226 Binary Transfer complete.
PASV

227 Entering Passive Mode (163,162,3,127,129,133)
RETR log4j.properties

150 Binary data connection for log4j.properties (163.162.3.205,50829)
(398 bytes).
226 Binary Transfer complete.
Successfully transferred log4j.properties at 4.96 KB/s
Running program: gvim -f -rv /tmp/gftp-view.41FU0S.properties

Note You need to log in before you can comment on or make changes to this bug.